*ERROR* Radeon kernel modesetting for R600 or later requires

Getting your soundcard to work, using Debian on non-i386 hardware, etc

*ERROR* Radeon kernel modesetting for R600 or later requires

Postby aindriu » 2019-12-10 21:46

Hi,

I tried installing Debian on an old Dell Precision T1700 and Radeon Firepro 2270 graphics, the installation went fine and booted to the Grub but I then get the following error:

*ERROR* radeon kernel modesetting for r600 or later requires firmware installed

Screen shot here: https://imgur.com/a/j23ITE1

How can I get around this? I can't get access to a terminal in recovery mode
aindriu
 
Posts: 3
Joined: 2019-12-10 21:32

Re: *ERROR* Radeon kernel modesetting for R600 or later requ

Postby L_V » 2019-12-10 22:24

Installing firmware-amd-graphics should help.
L_V
 
Posts: 1270
Joined: 2007-03-19 09:04

Re: *ERROR* Radeon kernel modesetting for R600 or later requ

Postby aindriu » 2019-12-11 11:48

Hi,

Thanks for the help, I changed the bios video from Radeon to Auto, it progressed the boot sequence till GNOME Display Error

I had some trouble even getting to the command line, I used the USB stick to boot into recovery and ran

Code: Select all
sudo apt install firmware-amd-graphics
but it didn't make any difference,. Im getting this screen

http://imgur.com/gallery/uBN8yGb

What should I try next?
aindriu
 
Posts: 3
Joined: 2019-12-10 21:32

Re: *ERROR* Radeon kernel modesetting for R600 or later requ

Postby aindriu » 2019-12-11 12:42

I edited /etc/gdm3/daemon.conf and removed the # before WaylandEnables=false

It eventually booted to the login screen :)
aindriu
 
Posts: 3
Joined: 2019-12-10 21:32

Re: *ERROR* Radeon kernel modesetting for R600 or later requ

Postby trinidad » 2019-12-11 15:16

Once the screen appeared with the green bracketed OK that GDM loaded you could have logged in from the console as your user.

TC
You can't believe your eyes if your imagination is out of focus.
trinidad
 
Posts: 97
Joined: 2016-08-04 14:58

Re: *ERROR* Radeon kernel modesetting for R600 or later requ

Postby stevepusser » 2019-12-11 19:07

I'm not seeing any confirmation that your install command for the firmware actually worked. Let's check--show us the output for

Code: Select all
apt policy firmware-amd-graphics
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Kodi 18.5, Blender 2.8.2, 5.5 kernels, Openshot 2.5.0, Telegram-desktop 1.9.14, LibreOffice 6.4.1~rc1
User avatar
stevepusser
 
Posts: 11463
Joined: 2009-10-06 05:53


Return to Hardware

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable